Chuyển đến nội dung
Diễn đàn CADViet

NTHAHT

Thành viên
  • Số lượng nội dung

    114
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    12

Cộng đồng

47 (tàm tạm)

About NTHAHT

  • Cấp bậc
    biết lệnh copy

Khách truy cập Tiểu sử gần đây

1.246 chế độ xem tiểu sử
  1. NTHAHT

    SỬA LISP ĐÁNH SỐ THỨ TỰ ĐỈNH PLINE

    Không biết có phải thế này không? (defun c:tt6 (/ ent par poi ss) (if (setq ss (ssget '((0 . "LWPOLYLINE")))) (while (and (setq ent (ssname ss 0)) (ssdel ent ss)) (setq par (vlax-curve-getEndParam ent) poi (vlax-curve-getpointatparam ent par)) (entmake (list (cons 0 "TEXT") (cons 10 poi) (cons 7 (getvar 'TEXTSTYLE)) (cons 40 (* (getvar 'DIMTXT) (getvar 'DIMSCALE))) (cons 1 (strcat (rtos (caddr poi) 2 2) "/" (itoa (1+ (fix par))))))))) (princ))
×